Bug 223645 - tdfx_dri.so segfaults
tdfx_dri.so segfaults
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-01-21 02:03 EST by Sam Varshavchik
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-05 14:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log (50.24 KB, text/plain)
2007-01-21 02:03 EST, Sam Varshavchik
no flags Details
Output of lspci (7.09 KB, text/plain)
2007-01-21 02:05 EST, Sam Varshavchik
no flags Details
My xorg.conf (1.05 KB, application/octet-stream)
2007-01-26 07:03 EST, Sam Varshavchik
no flags Details
Xorg.0.log, after renaming tdfx_dri.so (47.97 KB, text/plain)
2007-01-26 07:09 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2007-01-21 02:03:35 EST
Description of problem:

Starting mythtv on the latest FC 6 with all updates results in a segfault,
kicking me out of X.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Voodoo 3500
2. FC 6 with all updates applied
3. Build mythtv, and attempt to start it
Actual results:

0: X(xf86SigHandler+0x81) [0x80c9bd1]
1: [0xb69420]
2: /usr/lib/dri/tdfx_dri.so [0xf2c9fa]
3: /usr/lib/xorg/modules/extensions/libglx.so [0xcdf16a]
4: /usr/lib/xorg/modules/extensions/libglx.so(DoMakeCurrent+0x3bc) [0xcb880c]
5: /usr/lib/xorg/modules/extensions/libglx.so(__glXMakeCurrent+0x39) [0xcb89b9]
6: /usr/lib/xorg/modules/extensions/libglx.so [0xcbbd6a]
7: X(Dispatch+0x19a) [0x80880da]
8: X(main+0x485) [0x806fa65]
9: /lib/libc.so.6(__libc_start_main+0xdc) [0x16ff2c]
10: X(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

Expected results:

I want my mythtv fix.

Additional info:

See attached
Comment 1 Sam Varshavchik 2007-01-21 02:03:35 EST
Created attachment 146074 [details]
Comment 2 Sam Varshavchik 2007-01-21 02:05:19 EST
Created attachment 146075 [details]
Output of lspci

I _NEVER_  use any non-free binary blobs.  I'm using only the drivers that come
with X.org
Comment 3 Matěj Cepl 2007-01-26 06:31:22 EST
Can we get your /etc/X11/xorg.conf as well, please? And you can also try to
restart X without any such file whatsoever, and send us report (with
/var/log/Xorg.*.log files, of course) what happens.

Thanks a lot.
Comment 4 Sam Varshavchik 2007-01-26 07:03:28 EST
Created attachment 146674 [details]
My xorg.conf

My basic xorg.conf. Nothing fancy.
Comment 5 Sam Varshavchik 2007-01-26 07:09:27 EST
Created attachment 146675 [details]
Xorg.0.log, after renaming tdfx_dri.so

Looks not much different than with tdfx_dri, except for the actual complaint
that the file is missing.

After renaming tdfx_dri and starting X, Myth appears to be working.  Looks like
this module is not absolutely necessary for hardware acceleration, at least it
is not required by mythtv.
Comment 6 Sam Varshavchik 2007-01-26 07:12:02 EST
Making an attachment did not change this bug's status, checking if a plain
comment does the trick.  Ping.
Comment 7 Adam Jackson 2007-01-29 19:48:48 EST
Mmm, looks like a real bug in the tdfx dri driver.  Really need to hook up some
addr2line action on the backtrace output though.  Will take a look.
Comment 8 Sam Varshavchik 2007-01-29 20:01:41 EST
fwiw -- tdfx_dri in the last FC4 x.org errata worked fine.

Shouldn't be too many changes in the driver for these old cards, since then.
Comment 9 Adam Jackson 2007-04-05 14:48:38 EDT
Fixed in rawhide.  tdfx driver probes for Glide3 during CreateContext, not
during CreateScreen, and then the DRI core assumes the context private exists. 
It doesn't when glide3 isn't present, and you segfault.

Note You need to log in before you can comment on or make changes to this bug.